\begin{tikzpicture}[framed]
  \draw [help lines] (-3, -3) grid (3, 3);

  \draw [ultra thick, draw]
    (0, 2) .. controls (0.7,1.8) and (0.5,1.5) .. (0.5,1)
    (0.5,1) .. controls (0.5, 0.5) and (0.5,0) .. (0.5,-0.5)
    (0.5,-0.5) .. controls (0.5,-1) and (0.5,-1.5) .. (1,-2);

  \draw [ultra thick, draw]
    (2, 0) .. controls (1.8,0.7) and (1.5,0.5) .. (1,0.5)
    (1,0.5) .. controls (0.5,0.5) and (0,0.5) .. (-0.5,0.5)
    (-0.5,0.5) .. controls (-1,0.5) and (-1.5,0.5) .. (-2,1);

  \draw [ultra thick, draw]
    (0, -2) .. controls (-0.7,-1.8) and (-0.5,-1.5) .. (-0.5,-1)
    (-0.5,-1) .. controls (-0.5, -0.5) and (-0.5,0) .. (-0.5,0.5)
    (-0.5,0.5) .. controls (-0.5,1) and (-0.5,1.5) .. (-1,2);

  \draw [ultra thick, draw]
    (-2, 0) .. controls (-1.8,-0.7) and (-1.5,-0.5) .. (-1,-0.5)
    (-1,-0.5) .. controls (-0.5,-0.5) and (0,-0.5) .. (0.5,-0.5)
    (0.5,-0.5) .. controls (1,-0.5) and (1.5,-0.5) .. (2,-1);

  \node (robot1) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (0,2) {1};
  \node (robot2) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (2,0) {2};
  \node (robot3) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (0,-2) {3};
  \node (robot4) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (-2,0) {4};
\end{tikzpicture}
